<p>
    {{vm.Name}}
</p>

<div class="row">
    <div class="container">
        <div class="btn-group float-Left">
            <button class="btn btn-primary"
                    [ngClass]="{disabled : vm.IsWeatherSearchInProgress}"
                    (click)="!vm.IsWeatherSearchInProgress && vm.WeatherSearchAction()">Weather Search
            </button>
            <button class="btn btn-success"
                    [ngClass]="{disabled : vm.IsSearchInProgress}"
                    (click)="!vm.IsSearchInProgress && vm.StackOverflowSearchAction()">StackOverflow Search
            </button>
        </div>
        <div class="row float-right" style="width: auto"
             *ngIf="vm.IsWeatherSearchInProgress || vm.IsSearchInProgress">
            <div class="col-lg-12">
                <progressbar animate="true" type="info" max="100" striped="true" *ngIf="vm.IsWeatherSearchInProgress"
                             [value]="vm.WeatherSearchProgressPercentage | async"></progressbar>
                <progressbar animate="true" type="success" max="100" striped="true" *ngIf="vm.IsSearchInProgress"
                             [value]="vm.SearchProgressPercentage"></progressbar>
            </div>
            <hr/>
            <div *ngFor="let _result of vm.SearchResults | keyvalue" [ngClass]="ProgressColumnSpacing">
                <progressbar animate="true" type="success" max="100" striped="true"
                             *ngIf="vm.IsSearchInProgress"
                             [value]="_result.value.length / 20 * 100"></progressbar>
            </div>
        </div>
        <alert class="float-right" type="success"
               *ngIf="!vm.IsWeatherSearchInProgress && !vm.IsSearchInProgress && vm.SearchResults.size">
            Go back to the <a routerLink="/dashboard">dashboard</a> to see a statistical evaluation of all searches.
        </alert>
    </div>
</div>
<div class="row">
    <div class="container">
        <hr/>
    </div>
</div>
<div class="row">
    <div class="container">
        <tabset>
            <tab heading="{{vm.Model.WeatherSearch.Heading}}">
                <app-weather-search-component [model]="vm.Model.WeatherSearch"></app-weather-search-component>
            </tab>
            <tab *ngFor="let _search of vm.Model.StackOverflowSearches" heading="{{_search.Heading}}">
                <app-stackoverflow-search [model]="_search"
                                          [on-progress]="vm.SearchProgressAction"></app-stackoverflow-search>
            </tab>
        </tabset>
    </div>
</div>
